// markdown-it-custom-plugins/index.js

const markdownIt = require('markdown-it');
const emoji = require('markdown-it-emoji');
const highlightJs = require('markdown-it-highlightjs');

/**
 * Initializes and configures markdown-it with custom plugins.
 * @returns An instance of markdown-it configured with custom plugins.
 */
const initMarkdownItWithPlugins = () => {
  const md = markdownIt();
  md.use(emoji);
  md.use(highlightJs);

  // Additional custom configuration can be added here

  return md;
};

module.exports = initMarkdownItWithPlugins;
